Skip to main content
POST
/
api
/
payments
/
razorpay
/
{environment}
/
orders
/
verify
Verify Razorpay Order Payment
curl --request POST \
  --url https://api.example.com/api/payments/razorpay/{environment}/orders/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderId": "order_123",
  "paymentId": "pay_123",
  "signature": "razorpay_signature"
}
'
import requests

url = "https://api.example.com/api/payments/razorpay/{environment}/orders/verify"

payload = {
"orderId": "order_123",
"paymentId": "pay_123",
"signature": "razorpay_signature"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderId: 'order_123', paymentId: 'pay_123', signature: 'razorpay_signature'})
};

fetch('https://api.example.com/api/payments/razorpay/{environment}/orders/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "verified": true,
  "order": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subjectType": "<string>",
    "subjectId": "<string>",
    "customerName": "<string>",
    "customerEmail": "jsmith@example.com",
    "customerContact": "<string>",
    "orderId": "order_123",
    "receipt": "<string>",
    "amount": 50000,
    "amountPaid": 123,
    "amountDue": 123,
    "currency": "inr",
    "attempts": 123,
    "verifiedPaymentId": "pay_123",
    "verifiedAt": "2023-11-07T05:31:56Z",
    "notes": {},
    "lastError": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Body

application/json
orderId
string
required
Minimum string length: 1
Example:

"order_123"

paymentId
string
required
Minimum string length: 1
Example:

"pay_123"

signature
string
required
Minimum string length: 1

Response

Razorpay order payment verified

verified
boolean
required
order
object
required